XFuNoiseController class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# XFuNoiseController Class Reference

Noise controller for the XFuParticleSystem class. More...

`#include <XFuParticleSystem.h>`

List of all members.

## Public Member Functions

XFcFixed | noise (INT32 aTick, XFuParticleSystem *ps)
| Generate noise.
void | write (XFcFile *aFile)
| Write the noise controller data into a file.
void | read (XFcFile *aFile)
| Read the noise controller data from a file.

## Public Attributes

INT32 | mType
| Type of particle system.
XFcFixed | mValue
| Noise 'value' - strenght of the particle system.
XFcFixed | mPeriod
| Noise 'period' - time in which the noise loops, or changes.

## Detailed Description

Noise controller for the XFuParticleSystem class.

Definition at line 19 of file XFuParticleSystem.h.

## Member Function Documentation

XFcFixed XFuNoiseController::noise | ( | INT32 | aTick,
|  | XFuParticleSystem * | ps
| ) |

| Generate noise. Definition at line 125 of file XFuParticleSystem.cpp. References mPeriod, mType, mValue, XFuParticleSystem::PSRand(), and XFuParticleSystem::PSRandInPlace(). Referenced by XFuParticleSystem::newParticle(), XFuParticleSystem::render(), and XFuParticleSystem::tickOnce().

void XFuNoiseController::read | ( | XFcFile * | aFile | ) |

| Read the noise controller data from a file. Definition at line 453 of file XFuParticleSystem.cpp. References mPeriod, mType, and mValue. Referenced by XFuParticleSystem::load().

void XFuNoiseController::write | ( | XFcFile * | aFile | ) |

| Write the noise controller data into a file. Definition at line 446 of file XFuParticleSystem.cpp. Referenced by XFuParticleSystem::save().

## Member Data Documentation

XFcFixed XFuNoiseController::mPeriod

| Noise 'period' - time in which the noise loops, or changes. Definition at line 24 of file XFuParticleSystem.h. Referenced by noise(), and read().

INT32 XFuNoiseController::mType

| Type of particle system. Definition at line 22 of file XFuParticleSystem.h. Referenced by noise(), and read().

XFcFixed XFuNoiseController::mValue

| Noise 'value' - strenght of the particle system. Definition at line 23 of file XFuParticleSystem.h. Referenced by XFuParticleSystem::newParticle(), noise(), and read().

The documentation for this class was generated from the following files:

- XFuParticleSystem.h
- XFuParticleSystem.cpp

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch